Subject: Bug#268485: patching the courier patch

From: Frederik Dannemare <[email-masked]>
Date: Sat, 28 Aug 2004 06:33:02 +0200

I see that there's quite a few small differences between amavisd.conf 
and debian/etc/amavisd.conf, so I actually had to patch the courier 
patch in order to make it apply correctly against 
debian/etc/amavisd.conf.

It surely would be nice, if the courier patch could be applied as part 
of the official package, without any need for manual patching 
afterwards... If it's a matter of man power, I wouldn't mind 
maintaining a patching patch which could be included with the source 
package. Just an idea.

Best regards,
- -- 
Frederik Dannemare | mailto:[email-masked]
http://qa.debian.org/developer.php?login=Frederik+Dannemare
http://frederik.dannemare.net | http://www.linuxworlddomination.dk
Key fingerprint: BB7B 078A 0DBF 7663 180A  F84A 2D25 FAD5 9C4E B5A8
--- amavisd-new-courier.patch	2004-08-28 05:41:08.000000000 +0200
+++ amavisd-new-courier.patch.frda	2004-08-28 05:51:17.000000000 +0200
@@ -4,8 +4,8 @@
  # Set the user and group to which the daemon will change if started as root
  # (otherwise just keeps the UID unchanged, and these settings have no effect):
 +# For courier, the group must be the same as the group which courier runs as
- $daemon_user  = 'vscan';	# (no default;  customary: vscan or amavis)
- $daemon_group = 'sweep';	# (no default;  customary: vscan or amavis)
+ $daemon_user  = 'amavis';	# (no default;  customary: vscan or amavis)
+ $daemon_group = 'amavis';	# (no default;  customary: vscan or amavis)
 @@ -122,4 +123,8 @@
  #$notify_method = $forward_method;
  
@@ -16,17 +16,18 @@
  # prefer to collect mail for forwarding as BSMTP files?
  #$forward_method = "bsmtp:$MYHOME/out-%i-%n.bsmtp";
 @@ -208,11 +213,14 @@
- 			          # (default is true)
+ 			          # (default is true (1) )
  
 -# AMAVIS-CLIENT PROTOCOL INPUT SETTINGS (e.g. with sendmail milter)
 +# AMAVIS-CLIENT AND COURIER PROTOCOL INPUT SETTINGS (e.g. with sendmail milter)
  #   (used with amavis helper clients like amavis-milter.c and amavis.c,
- #   NOT needed for Postfix or Exim or dual-sendmail - keep it undefined.
- $unix_socketname = "$MYHOME/amavisd.sock"; # amavis helper protocol socket
+ #   NOT needed for Postfix and Exim  or dual-sendmail - keep it undefined.)
+ #$unix_socketname = "/var/lib/amavis/amavisd.sock"; # amavis helper protocol socket
 +#$unix_socketname = "/var/lib/courier/filters/amavisd"; # courier socket
- #$unix_socketname = undef;        # disable listening on a unix socket
+-$unix_socketname = undef;         # disable listening on a unix socket
++#$unix_socketname = undef;        # disable listening on a unix socket
                                    # (default is undef, i.e. disabled)
-                                   # (usual setting is $MYHOME/amavisd.sock)
+
 +$unix_socket_protocol = 'amavis'; # either 'amavis' for milter or the amavis
 +                                  # client or 'courier' for courier